Packages préinstallés 2018.2.5f1 - Errors & Warnings

Toutes les questions et les news sur Unity

Modérateur : Administrateurs Suppléants

Arthur212
Messages : 1
Inscription : 27 Août 2018 10:41

Packages préinstallés 2018.2.5f1 - Errors & Warnings

Message par Arthur212 » 27 Août 2018 10:59

Bonjour, hier j'ai téléchargé la dernière version de unity 2.f51 et depuis des que je lance unity j'ai un "Packages" dans "Project" et j'ai environ 130 Warnings et 25 erreur. J'aimerais savoir comment enlever ce Packages.
Merci,

Avatar de l’utilisateur
Max
Newser
Newser
Messages : 6525
Inscription : 30 Juil 2011 13:57

Re: Bug Unity 2018.2.5f1

Message par Max » 27 Août 2018 17:43

Bonsoir,
Arthur212 a écrit :
27 Août 2018 10:59
j'ai téléchargé la dernière version de unity 2.f51
tu veux dire la version 2018.2.5f1 je pense
Arthur212 a écrit :
27 Août 2018 10:59
depuis des que je lance unity j'ai un "Packages" dans "Project" et j'ai environ 130 Warnings et 25 erreur. J'aimerais savoir comment enlever ce Packages.
Pour enlever les packages, tu dois passer par le PackageManager (accessible depuis l'onglet Window du menu).
Là tu sélectionnes les packages installés et tu supprimes ceux que tu souhaites (hormis le UI que tu ne peux pas virer).
Pas d'aide par MP, le forum est là pour ça.
En cas de doute sur les bonnes pratiques à adopter sur le forum, consulter la Charte et sa FAQ

emile121153
Messages : 162
Inscription : 18 Mars 2017 19:39

Re: Packages préinstallés 2018.2.5f1 - Errors & Warnings

Message par emile121153 » 18 Oct 2018 17:34

Je relance ce post car:

J'ai la version 2018.2.12f1, j'avais 133 erreurs au débogage sur Visual Studio 2017.

J'ai viré tous les packages sauf l'UI qu'on ne peut pas virer mais il me reste 45 erreurs dues au PackageManagerUI.

Ca ne m'empêche pas de développer de faire des essai et même de déboguer, mais c'est ch***, surtout que tes propres erreurs sont en fin de liste et c'est pas évident.

Si quelqu'un connait une solution, j'ai regardé sur la toile et j'ai pas réussi à trouver.

Merci

Avatar de l’utilisateur
Liven
Messages : 247
Inscription : 30 Nov 2017 01:48

Re: Packages préinstallés 2018.2.5f1 - Errors & Warnings

Message par Liven » 18 Oct 2018 17:42

Heu comment dire, en fait j'ai eu un peu le même problème lors du cette maj, mais moi il a fallu ajouter des packages car apparemment il y a de nouvelles dépendances entre eux.

Par exemple le package post-processing nécessitait d'avoir le package XR. Le système de particule nécessitait le package wind... Me demandez pas pourquoi, mais bon c'est comme ça.

J'ai trouver le nom des packages manquants en regardant bien les messages d'erreurs (vers la fin il me semble), après les packages en question étaient tous dans le package manager donc pas de soucis pour les installer et une fois fait, tout est revenu à la normale.

emile121153
Messages : 162
Inscription : 18 Mars 2017 19:39

Re: Packages préinstallés 2018.2.5f1 - Errors & Warnings

Message par emile121153 » 19 Oct 2018 18:14

J'ai regardé aussi, mais il me signale des fichiers .cs manquant, j'ai regardé au niveau des packages possibles, il n'y a rien qui correspond.

Avatar de l’utilisateur
Liven
Messages : 247
Inscription : 30 Nov 2017 01:48

Re: Packages préinstallés 2018.2.5f1 - Errors & Warnings

Message par Liven » 19 Oct 2018 21:09

Des fichier cs... Il va falloir être plus précis (fichier perso,? lié à un package? quel package?...)

Sinon perso j'avais un autre type de message d'erreur, il concernait des packages de mon dossier cache qui semblaient posé soucis. J'ai supprimer les dossiers en question (c'est du cache après tout) et problème disparu

Répondre

Revenir vers « Unity le logiciel »